Blob Blame History Raw
diff -U4 -r pasdoc-0.16.0--orig/tests/run_all_tests.sh pasdoc-0.16.0--patched/tests/run_all_tests.sh
--- pasdoc-0.16.0--orig/tests/run_all_tests.sh	2021-02-10 00:42:00.000000000 +0100
+++ pasdoc-0.16.0--patched/tests/run_all_tests.sh	2021-09-21 13:16:43.019923079 +0200
@@ -4,36 +4,12 @@
 # Run all PasDoc tests.
 
 make clean
 
-# fpcunit tests --------------------------------------------------------------
-
-pushd fpcunit
-make
-popd
-
-# build pasdoc --------------------------------------------------------------
-
-pushd ../
-make
-popd
-
-# ----------------------------------------------------------------------------
-# Find pasdoc binary, setting PASDOC_BIN to absolute exe path.
-# If not found, fail.
-
-if [ -f ../bin/pasdoc ]; then
-  export PASDOC_BIN=`pwd`/../bin/pasdoc
-elif [ -f ../bin/pasdoc.exe ]; then
-  export PASDOC_BIN=`pwd`/../bin/pasdoc.exe
-else
-  if ! which pasdoc > /dev/null; then
-    echo 'pasdoc binary not found on $PATH'
-    exit 1
-  fi
-  export PASDOC_BIN=`which pasdoc`
+if [[ -z "${PASDOC_BIN+isset}" ]]; then
+	echo "The \$PASDOC_BIN variable is not set!" >2
+	exit 1
 fi
-echo "Detected pasdoc binary as ${PASDOC_BIN}"
 
 # run all testcases, compare with correct output ------------------------------
 
 ALL_OUTPUT_FORMATS='html htmlhelp latex latex2rtf simplexml'